//
//  TitleScreen.h
//  GlobalGameJam15
//
//  Created by Cesar Parent on 24/01/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __GlobalGameJam15__TitleScreen__
#define __GlobalGameJam15__TitleScreen__

#include <PixelKit/PixelKit.h>

using namespace PixelKit;

class TitleScreen : public Scene, public ControlDelegate
{
public:
	TitleScreen(Game& game);
	virtual ~TitleScreen();
	
#pragma mark delegates
	
	virtual void didEnterStack();
	virtual void didLeaveStack();
	
	virtual void controllerDidConnect(int controllerID){};
	virtual void controllerDidDisconnect(int controllerID){};
	virtual void controllerButtonPressBegan(int controller, SDL_GameControllerButton button);
	virtual void controllerButtonPressEnded(int controller, SDL_GameControllerButton button){};
	virtual void controllerAxisMoved(int controller, SDL_GameControllerAxis, Sint16 value){};
	virtual void keyboardPressBegan(SDL_Scancode key);
	virtual void keyboardPressEnded(SDL_Scancode key){};
	
private:
	
	SpriteNode* background;
};

#endif /* defined(__GlobalGameJam15__TitleScreen__) */
